MWProParserInternal::Token Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| Token ()

## Public Attributes

int | m_type
| the type More...
int | m_length
| the text length More...
int | m_blockId
| the block id More...
Box2f | m_box
| the bdbox ( filled in MWII for figure) More...
int | m_flags [4]
| some flags More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

MWProParserInternal::Token::Token | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

friend

operator<<

## Member Data Documentation

int MWProParserInternal::Token::m_blockId

the block id

Referenced by MWProParser::readTextTokens().

Box2f MWProParserInternal::Token::m_box

the bdbox ( filled in MWII for figure)

Referenced by MWProParser::readTextTokens().

int MWProParserInternal::Token::m_flags[4]

some flags

Referenced by MWProParser::readTextTokens(), and Token().

int MWProParserInternal::Token::m_length

the text length

Referenced by MWProParser::readTextTokens().

int MWProParserInternal::Token::m_type

the type

Referenced by MWProParser::readTextTokens().

The documentation for this struct was generated from the following file:

- MWProParser.cxx